Bug 134601 - CAN-2004-0923 Log file information disclosure
CAN-2004-0923 Log file information disclosure
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-04 17:28 EDT by Josh Bressers
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-07 15:33:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2004-10-04 17:28:35 EDT
When set up to print to a shared printer via Samba, CUPS will
authenticate with that shared printer using a user name and password.
 By default, the user name and password used to connect to the Samba
share will be stored in the log file.
Comment 1 Josh Bressers 2004-10-04 17:34:21 EDT
See the cups BTS entry for more information.

http://www.cups.org/str.php?L920
Comment 2 Josh Bressers 2004-10-04 17:37:15 EDT
I've uploaded the upsteam patch as attachment 104751 [details]
Comment 3 Tim Waugh 2004-10-05 10:38:23 EDT
Ready to push once I have confirmation that this issue is public.
Comment 4 Mark J. Cox (Product Security) 2004-10-05 10:40:14 EDT
now public, via   http://secunia.com/advisories/12690/
Comment 5 Josh Bressers 2004-12-07 15:33:10 EST
This issue was fixed in FEDORA-2004-337

Note You need to log in before you can comment on or make changes to this bug.